package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考试故障关联对象 sim_real_exam_fault
 *
 * @author tom
 * @date 2024-12-15
 */
public class RealExamFault extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long refId;

    /**
     * 考试ID
     */
    @Excel(name = "考试ID")
    private Long examId;

    /**
     * 故障ID
     */
    @Excel(name = "故障ID")
    private String faultId;

    /**
     * 7:未知
     * 1:选中
     * 0:没有选中
     */
    @Excel(name = "flag")
    private String flag;

    /**
     * 出题数值
     */
    @Excel(name = "出题数值")
    private String questionValue;

    /**
     * 答题数值
     */
    @Excel(name = "答题数值")
    private String answerValue;

    /**
     * 减分值 计正数
     */
    @Excel(name = "减分值 计正数")
    private Integer minus;

    public void setRefId(Long refId) {
        this.refId = refId;
    }

    public Long getRefId() {
        return refId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setFaultId(String faultId) {
        this.faultId = faultId;
    }

    public String getFaultId() {
        return faultId;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getFlag() {
        return flag;
    }

    public void setQuestionValue(String questionValue) {
        this.questionValue = questionValue;
    }

    public String getQuestionValue() {
        return questionValue;
    }

    public void setAnswerValue(String answerValue) {
        this.answerValue = answerValue;
    }

    public String getAnswerValue() {
        return answerValue;
    }

    public void setMinus(Integer minus) {
        this.minus = minus;
    }

    public Integer getMinus() {
        return minus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("refId", getRefId())
                .append("examId", getExamId())
                .append("faultId", getFaultId())
                .append("flag", getFlag())
                .append("questionValue", getQuestionValue())
                .append("answerValue", getAnswerValue())
                .append("minus", getMinus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
